<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name:  Link To Us Admin
| Version: 1.00
| Filename: link_to_us_admin.php
| Author: Fangree Productions
| Site: http://www.fangree.co.uk
| Developers: Fangree_Craig
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."link_to_us/infusion_db.php";
include LOCALE.LOCALESET."admin/settings.php";

if (!checkrights("LTU") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

if (file_exists(INFUSIONS."link_to_us/locale/".$settings['locale'].".php")) {
	include INFUSIONS."link_to_us/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."link_to_us/locale/English.php";
}

add_to_title($locale['global_200'].$locale['ltu_001']);

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "su") {
		$message = $locale['links_saved'];
	} elseif ($_GET['status'] == "nsu") {
		$message = $locale['links_not_saved'];
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if (isset($_POST['links_save'])) {

$banner4=(isset($_POST['banner4']) && isNum($_POST['banner4'])) ? $_POST['banner4'] : "0";
	$result = dbquery("UPDATE ".DB_LINKUS_TABLE." SET banner1='".addslashes($_POST['banner1'])."', banner2='".addslashes($_POST['banner2'])."', banner3='".addslashes($_POST['banner3'])."', banner4='$banner4'");	
	if (!$result) { 
		redirect(FUSION_SELF.$aidlink."&status=nsu");
	} else {
		redirect(FUSION_SELF.$aidlink."&status=su");
	}

}
$ltusettings = dbarray(dbquery("SELECT * FROM ".DB_LINKUS_TABLE));
$banner1 = stripslashes($ltusettings['banner1']);
$banner2 = stripslashes($ltusettings['banner2']);
$banner3 = stripslashes($ltusettings['banner3']);
opentable($locale['ltu_007']);
echo"<div class='admin-message'>".$locale['ltu_008']."</div>";

//Form Begin
echo "<form name='links_form' method='post' action='".FUSION_SELF.$aidlink."'>\n";
echo "<table cellpadding='0' cellspacing='0' width='60%' class='center'>\n<tr>\n";
//Banner 1
echo" <td align='center' class='tbl'><span class='side'>".$locale['ltu_003'].":</span> <input type='text' class='textbox' maxlength='70' name='banner1' value='".$banner1."' style='width:200px'></td>\n";
echo "</tr><tr>\n";
//Banner 2
echo" <td align='center' class='tbl'><span class='side'>".$locale['ltu_004'].":</span> <input type='text' class='textbox' maxlength='70' name='banner2' value='".$banner2."' style='width:200px'></td>\n";
echo "</tr><tr>\n";
// Banner 3
echo" <td align='center' class='tbl'><span class='side'>".$locale['ltu_005'].":</span> <input type='text' class='textbox' maxlength='70' name='banner3' value='".$banner3."' style='width:200px'></td>\n";
echo "</tr><tr>\n";
//Text Link
echo "<td class='tbl' align='center'><span class='side'>".$locale['ltu_006'].":</span> <select name='banner4' class='textbox'>\n";
echo "<option value='1'".($ltusettings['banner4'] == "1" ? " selected='selected'" : "").">".$locale['502']."</option>\n";
echo "<option value='0'".($ltusettings['banner4'] == "0" ? " selected='selected'" : "").">".$locale['503']."</option>\n";
echo "</select></td>\n";
echo "</tr>\n<tr>\n";
//Save
echo "<td colspan='2' class='tbl' align='center'><br /><input type='submit' class='button' name='links_save' value='".$locale['links_save']."' />";
echo "</td></tr>\n";

echo "</table>\n";

echo "</form>\n";
//End Form

// Please do not remove copyright info
 include INFUSIONS."link_to_us/copyright_func.php";
 echo showLTUcopyright();
// End copyright info
closetable();

require_once THEMES."templates/footer.php";

?> 