<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk
+--------------------------------------------------------+
| Filename: link_to_us.php
| Version: 1.00
| Author: Fangree Productions
| Developers: Fangree_Craig, Daredevil  
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licen... Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."link_to_us/infusion_db.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."link_to_us/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
	include INFUSIONS."link_to_us/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
	include INFUSIONS."link_to_us/locale/English.php";
}

add_to_title($locale['global_200'].$locale['ltu_001']);

//Fieldset  & Legend Styles
add_to_head("<style type='text/css'>
.link_to_us { 
text-align: left; 
border: 1px solid #ccc; 
width: 90%; 
padding: 5px 4px;
border-radius:5px;
-moz-border-radius:5px;
-webkit-border-radius:5px; 
-moz-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20); 
-webkit-box-shadow:0 1px 0 rgba(255, 255, 255, 0.20);
}

.link_to_us-legend {
color: #333; 
font-size: 12px; 
font-weight:700; 
padding: 4px 2px 2px 4px; 
margin-right: 0.7em;
}
</style>");

//Begin Content
opentable($locale['ltu_001']);

//Link To Us Settings
$ltusettings = dbarray(dbquery("SELECT * FROM ".DB_LINKUS_TABLE));

//Check if Banner 1 or Banner 2 or Banner 3 or Banner 4 is set 
if ($ltusettings['banner1'] || $ltusettings['banner2'] || $ltusettings['banner3'] || $ltusettings['banner4'] ) {

//Intro Message
echo"<div class='admin-message'>".$locale['ltu_002']."</div>\n";

//Div for Banners 
echo"<div align='center'>\n";

//Banner 1
if ($ltusettings['banner1']) {
echo "<fieldset class='link_to_us'>\n";
 echo "<legend class='link_to_us-legend'>".$locale['ltu_003']."</legend>\n";
echo "<a href=\"".$settings['siteurl']."\" title=\"".$settings['sitename']."\"><img src=\"".$settings['siteurl']."infusions/link_to_us/images/".$ltusettings['banner1']."\" border=\"0\" alt=\"".$settings['sitename']."\" title=\"".$settings['sitename']."\" /></a><br /><form name='linka' id='linka' action=''>
      <input type='text' readonly='readonly' name='linki' title='".$locale['ltu_001']."' class='textbox' onclick=\"this.focus();this.select();\" value='<a href=\"".$settings['siteurl']."\"><img src=\"".$settings['siteurl']."infusions/link_to_us/images/".$ltusettings['banner1']."\" border=\"0\" alt=\"".$settings['sitename']."\" /></a>' style='width:90%;' /></form></fieldset><br /><hr /><br />";
}
    // Banner 2
	if ($ltusettings['banner2']) {
	echo "<fieldset class='link_to_us'>\n";
	 echo "<legend class='link_to_us-legend'>".$locale['ltu_004']."</legend>\n";
	echo "<a href=\"".$settings['siteurl']."\" title=\"".$settings['sitename']."\"><img src=\"".$settings['siteurl']."infusions/link_to_us/images/".$ltusettings['banner2']."\" border=\"0\" alt=\"".$settings['sitename']."\" title=\"".$settings['sitename']."\" /></a><br /><form name='linkb' id='linkb' action=''>
		  <input type='text' readonly='readonly' name='linki' title='".$locale['ltu_001']."' class='textbox' onclick=\"this.focus();this.select();\" value='<a href=\"".$settings['siteurl']."\"><img src=\"".$settings['siteurl']."infusions/link_to_us/images/".$ltusettings['banner2']."\" border=\"0\" alt=\"".$settings['sitename']."\" /></a>' style='width:90%;' /></form></fieldset><br /><hr /><br />";
	}
      
	  // Banner 3
		if ($ltusettings['banner3']) {
		echo "<fieldset class='link_to_us'>\n";
		 echo "<legend class='link_to_us-legend'>".$locale['ltu_005']."</legend>\n";
		echo "<a href=\"".$settings['siteurl']."\" title=\"".$settings['sitename']."\"><img src=\"".$settings['siteurl']."infusions/link_to_us/images/".$ltusettings['banner3']."\" border=\"0\" alt=\"".$settings['sitename']."\" title=\"".$settings['sitename']."\" /></a><br /><form name='c' id='c' action=''>
			  <input type='text' readonly='readonly' name='linki' title='".$locale['ltu_001']."' class='textbox' onclick=\"this.focus();this.select();\" value='<a href=\"".$settings['siteurl']."\"><img src=\"".$settings['siteurl']."infusions/link_to_us/images/".$ltusettings['banner3']."\" border=\"0\" alt=\"".$settings['sitename']."\" /></a>' style='width:90%;' /></form></fieldset><br /><hr /><br />";
		}


	// Banner 4 - Text Link
	if ($ltusettings['banner4']) {
	echo "<fieldset class='link_to_us'>\n";
	 echo "<legend class='link_to_us-legend'>".$locale['ltu_006']."</legend>\n";
	echo "<a href=\"".$settings['siteurl']."\" title=\"".$settings['sitename']."\">".$settings['sitename']."</a><br /><form name='linkd' id='linkd' action=''>
		  <input type='text' readonly='readonly' name='linki' title='".$locale['ltu_001']."' class='textbox' onclick=\"this.focus();this.select();\" value='<a href=\"".$settings['siteurl']."\">".$settings['sitename']."</a>' style='width:90%;' /></form></fieldset><br /><hr /><br />";
	}
echo"</div>\n";
 
 }else{
 
 //If No Banners set
 echo"<div class='side' style='text-align:center;'>".$locale['ltu_009']."</div>";
 
 
 
 }
 
//End Content

// Please do not remove copyright info
 include INFUSIONS."link_to_us/copyright_func.php";
 echo showLTUcopyright();
// End copyright info
closetable();


require_once THEMES."templates/footer.php";
?>
